package docs

import (
	"embed"
	"log/slog"

	"github.com/swaggo/swag"
)

//go:embed swagger.json
var swaggerFile embed.FS

var swaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:8080",
	BasePath:         "/",
	Schemes:          []string{},
	Title:            "syz",
	Description:      "一个简单的个人所用的单点登录",
	InfoInstanceName: "swagger",
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	data, err := swaggerFile.ReadFile("swagger.json")
	if err != nil {
		slog.Error("Error reading swagger file", "error", err)
		return
	}

	swaggerInfo.SwaggerTemplate = string(data)

	swag.Register(swaggerInfo.InstanceName(), swaggerInfo)
}
